<!DOCTYPE html>
<?php
  ///////////////////////////////////////////////////
  //Телефонный справочник, инсталяция
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("lang/".$lang.".php")) {include "lang/".$lang.".php";}
     else {include "lang/ru.php";}

  require_once "utils/top_install.php";

  $title=$TEXT['install-title'];
  $helppage = $TEXT['install-help2'];

  if(empty($_POST['srv'])) {puterror($TEXT['error-install1']);}
  if(strlen($_POST['srv'])>50) {puterror($TEXT['error-install2']);}
  if(empty($_POST['usr'])) {puterror($TEXT['error-install3']);}
  if(strlen($_POST['usr'])>50) {puterror($TEXT['error-install4']);}
  if(strlen($_POST['pswd'])>100) {puterror($TEXT['error-install5']);}
  if(empty($_POST['dbname'])) {$_POST['dbname'] = "personal";}
  if(strlen($_POST['dbname'])>50) {puterror($TEXT['error-update2']);}

  if(isset($_POST['srv'])) {$srv=trim($_POST['srv']);}
    else {$srv="";}
  if(empty($srv)) {puterror($TEXT['error-install6']);}

  if(isset($_POST['usr'])) {$usr=trim($_POST['usr']);}
    else {$usr="";}
  if(empty($usr)) {puterror($TEXT['error-install7']);}

  if(isset($_POST['dbname'])) {$dbname=trim($_POST['usr']);}
    else {$dbname="";}
  if(empty($dbname)) {puterror($TEXT['error-update4']);}

  $_POST['srv'] = str_replace("'","`",$_POST['srv']);
  $_POST['usr'] = str_replace("'","`",$_POST['usr']);
  $_POST['dbname'] = str_replace("'","`",$_POST['dbname']);
  $_POST['srv'] = htmlspecialchars(stripslashes($_POST['srv']));
  $_POST['usr'] = htmlspecialchars(stripslashes($_POST['usr']));
  $_POST['dbname'] = htmlspecialchars(stripslashes($_POST['dbname']));

  ///////////////////////////////////////////////////
  // Подключение к базе данных
  ///////////////////////////////////////////////////

  $dblocation = $_POST['srv'];
  $dbport = "3306";
  $dbname = $_POST['dbname'];
  $dbuser = $_POST['usr'];
  $dbpasswd = $_POST['pswd'];

  // Устанавливаем соединение с базой данных
  $dbcnx = mysqli_connect($dblocation,$dbuser,$dbpasswd);
  if(!$dbcnx)
  {
    puterror($TEXT['error-conf1']);
    exit();
  }
  mysqli_query($dbcnx,"SET CHARACTER SET 'utf8'") or exit('SET CHARACTER SET error');
  mysqli_query($dbcnx,"SET character_set_client='utf8'") or exit('SET character_set_client error');
  mysqli_query($dbcnx,"SET character_set_results='utf8'") or exit('SET character_set_results error');
  mysqli_query($dbcnx,"SET collation_connection='utf8_general_ci'") or exit('SET collation_connection error');
  mysqli_query($dbcnx,"SET NAMES `utf8`") or exit('SET NAMES error');
  mysqli_query($dbcnx,"SET SQL_MODE=''") or exit('SET SQL_MODE error');

  $query = "Create database ".$dbname." DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;";
    $result = mysqli_query($dbcnx,$query);
     if(!$result) {puterror($TEXT['error-install8']);}

  if(!mysqli_select_db($dbcnx,$dbname) )
  {
    puterror($TEXT['error-conf2']);
    exit();
  }

  $query2 = "CREATE TABLE tbl_upravlenie(
                          upr_id int unsigned NOT NULL auto_increment primary key,
                          upravlenie text(300) NOT NULL,
                          position SMALLINT(5) NOT NULL DEFAULT '0',
                          visible enum('show','hide') DEFAULT 'show',
                          UNIQUE KEY uc_upravlenie (upravlenie(300))
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result2 = mysqli_query($dbcnx,$query2);
     if(!$result2) {puterror($TEXT['error-tbl9']);}

  $query3 = "CREATE TABLE tbl_otdel(
                         otd_id int unsigned NOT NULL auto_increment primary key,
                         otdel varchar(250) NOT NULL,
                         position SMALLINT(5) NOT NULL DEFAULT '0',
                         visible enum('show','hide') DEFAULT 'show',
                         phone varchar(20),
                         UNIQUE KEY uc_otdel (otdel(250))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl8']);}

  $query4 = "CREATE TABLE tbl_dolzhnost(
                         dol_id int unsigned NOT NULL auto_increment primary key,
                         dolzhnost varchar(120) NOT NULL,
                         position SMALLINT(5) NOT NULL DEFAULT '0',
                         UNIQUE KEY uc_dolzhnost (dolzhnost(120))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result4 = mysqli_query($dbcnx,$query4);
     if(!$result4) {puterror($TEXT['error-tbl6']);}

  $query5 = "CREATE TABLE tbl_city(
                         city_id int unsigned NOT NULL auto_increment primary key,
                         city varchar(120) NOT NULL,
                         UNIQUE KEY uc_city (city(120))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result5 = mysqli_query($dbcnx,$query5);
     if(!$result5) {puterror($TEXT['error-tbl1']);}

  $query6 = "CREATE TABLE tbl_street(
                         str_id int unsigned NOT NULL auto_increment primary key,
                         street varchar(200) NOT NULL,
                         UNIQUE KEY uc_street (street(200))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result6 = mysqli_query($dbcnx,$query6);
     if(!$result6) {puterror($TEXT['error-tbl3']);}

  $query7 = "CREATE TABLE tbl_house(
                         house_id int unsigned NOT NULL auto_increment primary key,
                         house varchar(80) NOT NULL,
                         UNIQUE KEY uc_house (house(80))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result7 = mysqli_query($dbcnx,$query7);
     if(!$result7) {puterror($TEXT['error-tbl4']);}

  $query8 = "CREATE TABLE tbl_organizaciya(
                         org_id int unsigned NOT NULL auto_increment primary key,
                         organizaciya text(300) NOT NULL,
                         position SMALLINT(3) NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         visible_tech ENUM('show','hide') NOT NULL DEFAULT 'hide',
                         UNIQUE KEY uc_organizaciya (organizaciya(300))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result8 = mysqli_query($dbcnx,$query8);
     if(!$result8) {puterror($TEXT['error-tbl7']);}

  $query9 = "CREATE TABLE tbl_domain(
                         dom_id int unsigned NOT NULL auto_increment primary key,
                         domain varchar(200) NOT NULL,
                         UNIQUE KEY uc_domain (domain(200))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result9 = mysqli_query($dbcnx,$query9);
     if(!$result9) {puterror($TEXT['error-tbl5']);}

  $query10 = "CREATE TABLE tbl_users(
                         user_id int unsigned NOT NULL auto_increment primary key,
                         first_b varchar(4) NOT NULL,
                         familiya varchar(200) NOT NULL,
                         name varchar(200) NOT NULL,
                         otchestvo varchar(200),
                         position SMALLINT(5) NOT NULL DEFAULT '0',
                         dom_id int NULL DEFAULT '0',
                         mail varchar(220),
                         phone_mob varchar(30),
                         phone_int varchar(20),
                         phone_city varchar(30),
                         dol_id int NULL DEFAULT '0',
                         otd_id int NULL DEFAULT '0',
                         otd_pos SMALLINT(5) NOT NULL DEFAULT '0',
                         upr_id int NULL DEFAULT '0',
                         upr_pos SMALLINT(5) NOT NULL DEFAULT '0',
                         org_id int NULL DEFAULT '0',
                         org_pos SMALLINT(3) NOT NULL DEFAULT '0',
                         room varchar(16),
                         house_id int NULL DEFAULT '0',
                         str_id int NULL DEFAULT '0',
                         city_id int NULL DEFAULT '0',
                         photo varchar(255),
                         subscribe enum('scribe','unscribe') NOT NULL DEFAULT 'unscribe',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         reason VARCHAR(255) NOT NULL COMMENT 'Prichina otsutstviya',
                         date_from DATE NOT NULL DEFAULT '1970-01-01' COMMENT 'Otsutstvuet s',
                         date_to DATE NOT NULL DEFAULT '1970-01-01' COMMENT 'Otsutstvuet po',
                         replace_user_id INT NOT NULL DEFAULT '0' COMMENT 'Kto zamenyaet',
                         KEY ind_dom_id (dom_id),
                         KEY ind_dol_id (dol_id),
                         KEY ind_otd_id (otd_id),
                         KEY ind_upr_id (upr_id),
                         KEY ind_org_id (org_id),
                         KEY ind_house_id (house_id),
                         KEY ind_str_id (str_id),
                         KEY ind_city_id (city_id),
                         KEY ind_familiya (familiya(5)),
                         KEY ind_name (name(5)),
                         KEY ind_first_b (first_b(4)),
                         KEY ind_room (room(5))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-tbl2']);}

  $query11 = "CREATE TABLE tbl_logs(
                         log_id int unsigned not null auto_increment primary key,
                         data timestamp NOT NULL,
                         ip varchar(50) NOT NULL,
                         who varchar(250),
                         doing varchar(250),
                         what text
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result11 = mysqli_query($dbcnx,$query11);
     if(!$result11) {puterror($TEXT['error-tbl10']);}

  $query13 = "CREATE TABLE tbl_photo(
                         photo_id int unsigned not null auto_increment primary key,
                         name text(300) NOT NULL,
                         small tinytext NOT NULL,
                         big tinytext NOT NULL,
                         description text,
                         position int NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         mer_id int NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result13 = mysqli_query($dbcnx,$query13);
     if(!$result13) {puterror($TEXT['error-tbl13']);}

  $query14 = "CREATE TABLE tbl_meropriyatiya(
                         mer_id int unsigned not null auto_increment primary key,
                         meropriyatie text NOT NULL,
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         org_id int NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result14 = mysqli_query($dbcnx,$query14);
     if(!$result14) {puterror($TEXT['error-tbl12']);}

  $query15 = "CREATE TABLE tbl_documents(
                         doc_id int unsigned not null auto_increment primary key,
                         name text NOT NULL,
                         path tinytext NOT NULL,
                         description text,
                         position int NOT NULL DEFAULT '0',
                         data timestamp not null,
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         razd_id int NULL DEFAULT '0',
                         count_view int NULL DEFAULT '0',
                         KEY ind_name (name(10))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result15 = mysqli_query($dbcnx,$query15);
     if(!$result15) {puterror($TEXT['error-tbl14']);}

  $query16 = "CREATE TABLE tbl_razdel(
                         razd_id int unsigned not null auto_increment primary key,
                         razdel text NOT NULL,
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         org_id int NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result16 = mysqli_query($dbcnx,$query16);
     if(!$result16) {puterror($TEXT['error-tbl15']);}

  $query17 = "CREATE TABLE tbl_instructions(
                         instr_id int unsigned not null auto_increment primary key,
                         name text NOT NULL,
                         path tinytext NOT NULL,
                         description text,
                         position int NOT NULL DEFAULT '0',
                         photo text NOT NULL,
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         razd_id int NULL DEFAULT '0',
                         count_view int NULL DEFAULT '0',
                         KEY ind_instr (name(10))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result17 = mysqli_query($dbcnx,$query17);
     if(!$result17) {puterror($TEXT['error-tbl18']);}

  $query18 = "CREATE TABLE tbl_razdel_instr(
                         razd_id int unsigned not null auto_increment primary key,
                         photo tinytext NOT NULL,
                         razdel text NOT NULL,
                         position smallint(11) NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result18 = mysqli_query($dbcnx,$query18);
     if(!$result18) {puterror($TEXT['error-tbl19']);}

  $query19 = "CREATE TABLE tbl_resource(
                         res_id int unsigned not null auto_increment primary key,
                         resource text NOT NULL,
                         position smallint NOT NULL,
                         user_id int NULL DEFAULT '0',
                         description text,
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         org_id int NULL DEFAULT '0',
                         ukk varchar(255),
                         data date NOT NULL DEFAULT '1970-01-01',
                         srvname varchar(100),
                         srvput varchar(255),
                         gread text(1000),
                         gwrite text(1000),
                         sppubl varchar(100),
                         srvkvota int(10) NULL DEFAULT '0',
                         size_id int(2) NULL DEFAULT '0',
                         bakup ENUM('yes','no') NOT NULL DEFAULT 'yes',
                         rezim varchar(255),
                         bakrazm varchar(255),
                         bakprog varchar(255),
                         photo varchar(255),
                         tip_id int NULL DEFAULT '0',
                         res_name varchar(255),
                         size_now int NULL DEFAULT '0',
                         KEY ind_res (resource(10)) 
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result19 = mysqli_query($dbcnx,$query19);
     if(!$result19) {puterror($TEXT['error-tbl16']);}

  $query20 = "CREATE TABLE tbl_news(
                         new_id int unsigned not null auto_increment primary key,
                         org_id int NULL DEFAULT '0',
                         header text(300) NOT NULL,
                         news text NOT NULL,
                         position smallint(11) NOT NULL DEFAULT '0',
                         description text(300),
                         url text,
                         url_text text(300),
                         picture tinytext,
                         picture_big tinytext,
                         data timestamp not null,
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         KEY ind_new (header(10))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result20 = mysqli_query($dbcnx,$query20);
     if(!$result20) {puterror($TEXT['error-tbl17']);}

  $query21 = "CREATE TABLE tbl_logins(
                         login_id int unsigned not null auto_increment primary key,
                         login varchar(30) NOT NULL,
                         fullname varchar(255),
                         pass varchar(255),
                         moderator enum('0','1') NOT NULL DEFAULT '0',
                         administrator enum('0','1') NOT NULL DEFAULT '0',
                         user enum('0','1') NOT NULL DEFAULT '0',
                         manager enum('0','1') NOT NULL DEFAULT '0',
                         master enum('0','1') NOT NULL DEFAULT '0',
                         otvetstvenniy enum('0','1') NOT NULL DEFAULT '0',
                         usr_id int NULL DEFAULT '0',
                         chk_upd enum('yes','no') DEFAULT 'no',
                         UNIQUE KEY uc_login (login(30))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result21 = mysqli_query($dbcnx,$query21);
     if(!$result21) {puterror($TEXT['error-tbl20']);}

  $query22 = "CREATE TABLE tbl_forecast(
                         id int unsigned not null auto_increment primary key,
                         ind mediumint(9) NULL DEFAULT '0',
                         station varchar(255) DEFAULT NULL,
                         country varchar(255) DEFAULT NULL,
                         region varchar(255) DEFAULT NULL,
                         dat date NOT NULL DEFAULT '1970-01-01',
                         tday smallint(6) NULL DEFAULT '0',
                         tnight smallint(6) NULL DEFAULT '0',
                         prec smallint(6) NULL DEFAULT '0',
                         prec_prob smallint(6) NULL DEFAULT '0',
                         wind_dir smallint(6) NULL DEFAULT '0',
                         wind_speed smallint(6) NULL DEFAULT '0',
                         weather_conditions varchar(255) DEFAULT NULL,
                         pday smallint(6) NULL DEFAULT '0',
                         pnight smallint(6) NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result22 = mysqli_query($dbcnx,$query22);
     if(!$result22) {puterror($TEXT['error-tbl21']);}

    $query23 = "CREATE TABLE tbl_ob_zay(
                         ob_zay_id int unsigned NOT NULL auto_increment primary key,
                         root_zay_id int NULL DEFAULT '0',
                         par_zay_id int NULL DEFAULT '0',
                         KEY ind_root_zay (root_zay_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result23 = mysqli_query($dbcnx,$query23);
     if(!$result23) {puterror($TEXT['error-tbl36']);}

    $query24 = "CREATE TABLE tbl_ondisk(
                         ond_id int(5) unsigned NOT NULL auto_increment primary key,
                         disk_name varchar(255),
                         mp varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result24 = mysqli_query($dbcnx,$query24);
     if(!$result24) {puterror($TEXT['error-tbl38']);}

    $query25 = "CREATE TABLE tbl_kritichnost(
                         krit_id int unsigned not null auto_increment primary key,
                         kritichnost varchar(255),
                         pic_krit tinytext,
                         position smallint(11) NOT NULL DEFAULT '0',
                         UNIQUE KEY uc_kritichnost (kritichnost(255))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result25 = mysqli_query($dbcnx,$query25);
     if(!$result25) {puterror($TEXT['error-tbl39']);}

    $query26 = "CREATE TABLE tbl_zhurn_strukt(
                         zh_str_id int unsigned NOT NULL auto_increment primary key,
                         strukt_name varchar(255) NOT NULL,
                         parent int NULL DEFAULT '0',
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result26 = mysqli_query($dbcnx,$query26);
     if(!$result26) {puterror($TEXT['error-tbl40']);}

    $query27 = "CREATE TABLE tbl_zhurnal(
                         zhurn_id int unsigned NOT NULL auto_increment primary key,
                         krit_id int NULL DEFAULT '0',
                         zh_str_id int NULL DEFAULT '0',
                         zh_tema varchar(255),
                         zh_soobschenie text(4000),
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         data timestamp not null,
                         login_id int NULL DEFAULT '0',
                         KEY krit_id_ind (krit_id),
                         KEY zh_str_id_ind (zh_str_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result27 = mysqli_query($dbcnx,$query27);
     if(!$result27) {puterror($TEXT['error-tbl41']);}

    $query28 = "CREATE TABLE tbl_marsh(
                         mar_id int unsigned NOT NULL auto_increment primary key,
                         mar_name varchar(255),
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result28 = mysqli_query($dbcnx,$query28);
     if(!$result28) {puterror($TEXT['error-tbl42']);}

    $query29 = "CREATE TABLE tbl_step(
                         step_id int unsigned NOT NULL auto_increment primary key,
                         mar_id int NULL DEFAULT '0',
                         step_name varchar(255),
                         position smallint NOT NULL DEFAULT '0',
                         login_id int NULL DEFAULT '0',
                         logika enum('1','2','3') NOT NULL DEFAULT '1',
                         tema_id int NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result29 = mysqli_query($dbcnx,$query29);
     if(!$result29) {puterror($TEXT['error-tbl43']);}

    $query30 = "CREATE TABLE tbl_tip_resurs(
                         tip_id int unsigned not null auto_increment primary key,
                         tip_name varchar(255),
                         pic_tip tinytext,
                         position smallint(11) NOT NULL DEFAULT '0',
                         prefix varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result30 = mysqli_query($dbcnx,$query30);
     if(!$result30) {puterror($TEXT['error-tbl38']);}

  $query31 = "CREATE TABLE tbl_srv_param(
                         srvp_id int unsigned NOT NULL auto_increment primary key,
                         ldp enum('0','1') DEFAULT '0',
                         ldp_dn varchar(255),
                         ldp_user varchar(255),
                         ldp_pass varchar(255),
                         dlp_srv varchar(255),
                         ldp_port int(5) NULL DEFAULT '0',
                         exim_shell varchar(255),
                         exim_uid int(5) NULL DEFAULT '0',
                         exim_gid int(5) NULL DEFAULT '0',
                         exim_home varchar(255),
                         exim_kvota int(5) NULL DEFAULT '0',
                         exim_pass int(5) NULL DEFAULT '0',
                         admin_mail_rss varchar(255),
                         admin_mail_news varchar(255),
                         admin_mail varchar(255),
                         spr_pass int(5) NULL DEFAULT '0',
                         glob_w int(5) NULL DEFAULT '0',
                         glob_h int(5) NULL DEFAULT '0',
                         user_w int(5) NULL DEFAULT '0',
                         user_h int(5) NULL DEFAULT '0',
                         exim_w int(5) NULL DEFAULT '0',
                         exim_h int(5) NULL DEFAULT '0',
                         res_w int(5) NULL DEFAULT '0',
                         res_h int(5) NULL DEFAULT '0',
                         repl enum('0','1') NULL DEFAULT '0',
                         rep_org_id int NULL DEFAULT '0',
                         prx_set varchar(21),
                         repl_mail enum('yes','no') DEFAULT 'no'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result31 = mysqli_query($dbcnx,$query31);
     if(!$result31) {puterror($TEXT['error-tbl44']);}

  $query32 = "CREATE TABLE tbl_zhnaniy_strukt(
                         zh_str_id int unsigned NOT NULL auto_increment primary key,
                         strukt_name varchar(255) NOT NULL COLLATE utf8_general_ci,
                         parent int NULL DEFAULT '0',
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result32 = mysqli_query($dbcnx,$query32);
     if(!$result32) {puterror($TEXT['error-tbl45']);}

  $query33 = "CREATE TABLE tbl_bd_zhnaniy(
                         zhurn_id int unsigned NOT NULL auto_increment primary key,
                         krit_id int NULL DEFAULT '0',
                         zh_str_id int NULL DEFAULT '0',
                         zh_tema varchar(255),
                         zh_soobschenie text,
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         data timestamp not null,
                         login_id int NULL DEFAULT '0',
                         primechanie text(4000),
                         KEY zn_krit_id_ind (krit_id),
                         KEY zhn_str_id_ind (zh_str_id),
                         FULLTEXT INDEX `fti_soobschenie` (`zh_soobschenie` ASC)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result33 = mysqli_query($dbcnx,$query33);
     if(!$result33) {puterror($TEXT['error-tbl46']);}

    $query34 = "CREATE TABLE tbl_know_prim(
                         tr_id int unsigned NOT NULL auto_increment primary key,
                         zhurn_id int NULL DEFAULT '0',
                         login_id int NULL DEFAULT '0',
                         zh_primechanie text(4000),
                         data timestamp not null,
                         KEY zhurn_id_ind (zhurn_id),
                         KEY login_id_ind (login_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result34 = mysqli_query($dbcnx,$query34);
      if(!$result34) {puterror($TEXT['error-tbl47']);}

    $query35 = "CREATE TABLE tbl_tmp_ofc(
                         tmp_ofc_id int unsigned NOT NULL auto_increment primary key,
                         user varchar(255),
                         yea decimal(4,0) NOT NULL DEFAULT '0',
                         mon decimal(2,0) NOT NULL DEFAULT '0',
                         dy decimal(2,0) NOT NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result35 = mysqli_query($dbcnx,$query35);
      if(!$result35) {puterror(mysqli_error($dbcnx));}

    $query36 = "CREATE TABLE tbl_prn_logs(
                         prn_log_id int unsigned NOT NULL auto_increment primary key,
                         prn_data datetime NOT NULL DEFAULT '1970-01-01 00:00:00',
                         usr_login_id int NULL DEFAULT '0',
                         usr_name_id int NULL DEFAULT '0',
                         pc_id int NULL DEFAULT '0',
                         prn_id int NULL DEFAULT '0',
                         port_id int NULL DEFAULT '0',
                         size int NULL DEFAULT '0',
                         pages int NULL DEFAULT '0',
                         document varchar(255),
                         srv_comp_id int NULL DEFAULT '0',
                         KEY ind_usr_login(usr_login_id),
                         KEY ind_usr_name(usr_name_id),
                         KEY ind_pc(pc_id),
                         KEY ind_prn(prn_id),
                         KEY ind_port(port_id),
                         KEY ind_pages(pages),
                         KEY ind_srv_comp(srv_comp_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result36 = mysqli_query($dbcnx,$query36);
      if(!$result36) {puterror(mysqli_error($dbcnx));}

    $query37 = "CREATE TABLE tbl_prn_pc(
                         prn_pc_id int unsigned NOT NULL auto_increment primary key,
                         pc_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result37 = mysqli_query($dbcnx,$query37);
      if(!$result37) {puterror(mysqli_error($dbcnx));}

    $query38 = "CREATE TABLE tbl_prn_usr_login(
                         usr_login_id int unsigned NOT NULL auto_increment primary key,
                         login_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result38 = mysqli_query($dbcnx,$query38);
      if(!$result38) {puterror(mysqli_error($dbcnx));}

    $query39 = "CREATE TABLE tbl_prn_usr_name(
                         usr_name_id int unsigned NOT NULL auto_increment primary key,
                         usr_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result39 = mysqli_query($dbcnx,$query39);
      if(!$result39) {puterror(mysqli_error($dbcnx));}

    $query40 = "CREATE TABLE tbl_prn_name(
                         prn_id int unsigned NOT NULL auto_increment primary key,
                         prn_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result40 = mysqli_query($dbcnx,$query40);
      if(!$result40) {puterror(mysqli_error($dbcnx));}

    $query41 = "CREATE TABLE tbl_prn_port(
                         port_id int unsigned NOT NULL auto_increment primary key,
                         port_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result41 = mysqli_query($dbcnx,$query41);
      if(!$result41) {puterror(mysqli_error($dbcnx));}

    $query42 = "CREATE TABLE tbl_prn_srv_comp(
                         srv_comp_id int unsigned NOT NULL auto_increment primary key,
                         srv_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result42 = mysqli_query($dbcnx,$query42);
      if(!$result42) {puterror(mysqli_error($dbcnx));}

    $query43 = "CREATE TABLE tbl_store_room(
                         room_id int(5) unsigned NOT NULL auto_increment primary key,
                         room_name varchar(255),
                         room_descr text(1000),
                         room_number varchar(255),
                         room_visible enum('yes','no') DEFAULT 'yes',
                         org_id int NULL DEFAULT '0',
                         city_id int NULL DEFAULT '0',
                         str_id int NULL DEFAULT '0',
                         house_id int NULL DEFAULT '0',
                         position smallint NOT NULL DEFAULT '0',
                         KEY ind_org_id(org_id),
                         KEY ind_city_id(city_id),
                         KEY ind_str_id(str_id),
                         KEY ind_house_id(house_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result43 = mysqli_query($dbcnx,$query43);
     if(!$result43) {puterror($TEXT['error-tbl54']);}

  $query44 = "CREATE TABLE tbl_store_tip_dev(
                         std_id int unsigned NOT NULL auto_increment primary key,
                         tip_dev varchar(255) NOT NULL,
                         position SMALLINT(5) NOT NULL DEFAULT '0',
                         tip_dev_switch enum('yes','no') DEFAULT 'no',
                         UNIQUE KEY uc_tip_dev (tip_dev(255))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result44 = mysqli_query($dbcnx,$query44);
     if(!$result44) {puterror($TEXT['error-tbl55']);}

  $query45 = "CREATE TABLE tbl_store_mod_dev(
                         smd_id int unsigned NOT NULL auto_increment primary key,
                         mod_dev varchar(255) NOT NULL,
                         std_id int NULL DEFAULT '0',
                         mod_mn varchar(255) NOT NULL,
                         mod_pn varchar(255) NOT NULL,
                         position SMALLINT(5) NOT NULL DEFAULT '0',
                         photo varchar(255) NOT NULL,
                         dev_descr text(1000),
                         zakazano SMALLINT(5) NOT NULL DEFAULT '0',
                         zakazano_date date NOT NULL DEFAULT '1970-01-01',
                         mod_units SMALLINT(2) NOT NULL DEFAULT '0',
                         mod_ports SMALLINT(3) NOT NULL DEFAULT '0',
                         UNIQUE KEY uc_mod_dev (mod_dev(255))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result45 = mysqli_query($dbcnx,$query45);
     if(!$result45) {puterror($TEXT['error-tbl56']);}

  $query46 = "CREATE TABLE tbl_store_nacl(
                         stn_id int unsigned NOT NULL auto_increment primary key,
                         nacl_org varchar(255),
                         nacl_photo varchar(255),
                         nacl_visible enum('yes','no') DEFAULT 'yes',
                         nacl_date date NOT NULL DEFAULT '1970-01-01',
                         nacl_num varchar(255),
                         org_id int NULL DEFAULT '0',
                         KEY ind_org_id(org_id),
                         KEY ind_nacl_num(nacl_num)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result46 = mysqli_query($dbcnx,$query46);
     if(!$result46) {puterror($TEXT['error-tbl57']);}

  $query47 = "CREATE TABLE tbl_store_dev(
                         stdev_id int unsigned NOT NULL auto_increment primary key,
                         stn_id int NULL DEFAULT '0' COMMENT 'tbl_store_nacl table with nacladnimy',
                         smd_id int NULL DEFAULT '0' COMMENT 'tbl_store_mod_dev table with device models',
                         org_id int NULL DEFAULT '0' COMMENT 'Real place, organization',
                         room_id int NULL DEFAULT '0' COMMENT 'tbl_store_room table with stores',
                         std_id int NULL DEFAULT '0' COMMENT 'tbl_store_tip_dev table with device types',
                         stdev_sost int(1) NULL DEFAULT '0' COMMENT 'Object state: 1-on store, 2-in work, 3-to by, 4-broken, 5-deleted',
                         stdev_sn varchar(255) COMMENT 'Device serial number',
                         stdev_visible enum('yes','no') DEFAULT 'yes',
                         sost_date date NOT NULL DEFAULT '1970-01-01',
                         stdu_id int NULL DEFAULT '0' COMMENT 'tbl_store_dev_use table with container device',
                         stdev_nn varchar(255) COMMENT 'Nomenklaturniy nomer, buhgalteriya',
                         stdev_prim varchar(255) COMMENT 'Primechanie',
                         stdev_prot enum('http','https') NULL DEFAULT 'http' COMMENT 'Protocol for connection',
                         stdev_ref varchar(255) COMMENT 'Reference for connection',
                         KEY ind_stn_id(stn_id),
                         KEY ind_smd_id(smd_id),
                         KEY ind_std_id(std_id),
                         KEY ind_org_id(org_id),
                         KEY ind_room_id(room_id),
                         KEY ind_stdu_id(stdu_id),
                         KEY ind_stdev_sost(stdev_sost)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result47 = mysqli_query($dbcnx,$query47);
     if(!$result47) {puterror($TEXT['error-tbl58']);}

  $query48 = "CREATE TABLE tbl_store_dev_history(
                         sth_id int unsigned NOT NULL auto_increment primary key,
                         stdu_id int NULL DEFAULT '0' COMMENT 'tbl_store_dev_use table with container device',
                         stdev_id int NULL DEFAULT '0' COMMENT 'tbl_store_dev table with devices',
                         hist_date date NOT NULL DEFAULT '1970-01-01',
                         hist_doing enum('add','brk','chg','mov') DEFAULT 'add' COMMENT 'Object doing: 1-added, 2-broken, 3-changed, 4-moved to store',
                         hist_dev_count int(5) NULL DEFAULT '0',
                         hist_username varchar(255) COMMENT 'canged user name',
                         hist_user_id int NULL DEFAULT '0' COMMENT 'canged user id',
                         smd_id int NULL DEFAULT '0' COMMENT 'tbl_store_mod_dev table with device models',
                         KEY ind_smd_id(smd_id),
                         KEY ind_stdu_id(stdu_id),
                         KEY ind_stdev_id(stdev_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result48 = mysqli_query($dbcnx,$query48);
     if(!$result48) {puterror($TEXT['error-tbl59']);}

  $query49 = "CREATE TABLE tbl_store_dev_use(
                         stdu_id int unsigned NOT NULL auto_increment primary key,
                         org_id int NULL DEFAULT '0' COMMENT 'Real place, organization',
                         city_id int NULL DEFAULT '0' COMMENT 'Real place, city',
                         str_id int NULL DEFAULT '0' COMMENT 'Real place, street',
                         house_id int NULL DEFAULT '0' COMMENT 'Real place, house',
                         room_id int NULL DEFAULT '0' COMMENT 'tbl_store_room table with stores',
                         stdevuser_id int NULL DEFAULT '0' COMMENT 'Real place, user_id',
                         stdevuser_name varchar(255) COMMENT 'User name, double',
                         stdevu_name varchar(255) COMMENT 'Device name',
                         stdevu_descr text(1000) COMMENT 'Device description',
                         stdevu_room_number varchar(255) COMMENT 'Real place, room or floor',
                         stdevu_sost int(1) NULL DEFAULT '0' COMMENT 'Object state: 1-on store, 2-in work, 3-to purchase, 4-broken, 5-deleted',
                         stdevu_sn varchar(255) COMMENT 'Device serial number',
                         stdevu_photo varchar(255) COMMENT 'Device photo',
                         stdevu_visible enum('yes','no') DEFAULT 'yes',
                         stdevu_date_create date NOT NULL DEFAULT '1970-01-01',
                         stdevu_date_spisan date NOT NULL DEFAULT '1970-01-01',
                         stdevu_prot enum('http','https') NULL DEFAULT 'http' COMMENT 'Protocol for connection',
                         stdevu_ref varchar(255) COMMENT 'Reference for connection',
                         std_id int NULL DEFAULT '0' COMMENT 'tbl_store_tip_dev table with device types',
                         stdevu_mn varchar(255) COMMENT 'Device model number',
                         stdevu_pn varchar(255) COMMENT 'Device part number',
                         stdevu_unit int(2) NULL DEFAULT '0' COMMENT 'Device unit place',
                         KEY ind_std_id(std_id),
                         KEY ind_org_id(org_id),
                         KEY ind_room_id(room_id),
                         KEY ind_city_id(city_id),
                         KEY ind_str_id(str_id),
                         KEY ind_house_id(house_id),
                         KEY ind_stdevu_sost(stdevu_sost)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result49 = mysqli_query($dbcnx,$query49);
     if(!$result49) {puterror($TEXT['error-tbl60']);}

    $query50 = "CREATE TABLE tbl_cable(
                         `cable_id` int unsigned NOT NULL auto_increment primary key,
                         `cable_tip` varchar(255) NOT NULL,
                         `cable_color` varchar(45) NOT NULL DEFAULT 'white',
                         UNIQUE KEY `uc_cable_tip` (`cable_tip`(20), `cable_color`(10))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result50 = mysqli_query($dbcnx,$query50);
     if(!$result50) {puterror($TEXT['error-tbl61']);}

    $query51 = "CREATE TABLE tbl_store_vlan(
                         `vlan_id` int unsigned NOT NULL auto_increment primary key,
                         `vlan_num` int(4) NOT NULL DEFAULT '0',
                         `vlan_name` varchar(255),
                         `vlan_descr` varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result51 = mysqli_query($dbcnx,$query51);
     if(!$result51) {puterror($TEXT['error-tbl62']);}

    $query52 = "CREATE TABLE tbl_store_port_sost(
                         `psost_id` int unsigned NOT NULL auto_increment primary key,
                         `port_sost` varchar(255),
                         `port_picture` varchar(255),
                         `port_color` varchar(45) NOT NULL DEFAULT 'white',
                         UNIQUE KEY `uc_port_sost` (`port_sost`)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result52 = mysqli_query($dbcnx,$query52);
     if(!$result52) {puterror($TEXT['error-tbl63']);}

    $query53 = "CREATE TABLE tbl_store_vlan_to_port(
                         `vtp_id` int unsigned NOT NULL auto_increment primary key,
                         `vlan_id` int NULL DEFAULT '0' COMMENT 'tbl_store_vlan table with vlans',
                         `port_id` int NULL DEFAULT '0' COMMENT 'tbl_store_dev_ports table with device ports',
                         `stdev_id` int NULL DEFAULT '0' COMMENT 'tbl_store_dev table with devices',
                         KEY ind_svlan_id(vlan_id),
                         KEY ind_port_id(port_id),
                         KEY ind_stdev_id(stdev_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result53 = mysqli_query($dbcnx,$query53);
     if(!$result53) {puterror($TEXT['error-tbl64']);}

    $query54 = "CREATE TABLE tbl_store_dev_ports(
                         `port_id` int unsigned NOT NULL auto_increment primary key,
                         `port_num` int(3) NULL DEFAULT '0' COMMENT 'Port number',
                         `psost_id` int NULL DEFAULT '0' COMMENT 'tbl_store_port_sost table describe port using',
                         `stdev_id` int NULL DEFAULT '0' COMMENT 'tbl_store_dev table with devices',
                         `stdev_out_id` int NULL DEFAULT '0' COMMENT 'tbl_store_dev table with out devices',
                         `stdev_descr` varchar(255) NOT NULL COMMENT 'Description plugged device, ex. workstation name',
                         `cable_in_id` int NULL DEFAULT '0' COMMENT 'tbl_cable table with cables inbound',
                         `cable_out_id` int NULL DEFAULT '0' COMMENT 'tbl_cable table with cables outbound',
                         `port_descr` varchar(255) NOT NULL COMMENT 'Port description',
                         `port_in_cable_size` varchar(45) COMMENT 'Inbound cable size',
                         `port_out_cable_size` varchar(45) COMMENT 'Outbound cable size',
                         `port_out_id` int NULL DEFAULT '0' COMMENT 'tbl_store_dev_ports remote devices port',
                         `pspd_id` int NULL DEFAULT '0' COMMENT 'tbl_store_port_speed port speed',
                         `stdevr_out_id2` int NULL DEFAULT '0' COMMENT 'tbl_store_dev table with out devices for patch-panels',
                         `portr_out_id2` int NULL DEFAULT '0' COMMENT 'tbl_store_dev_ports remote devices port for patch-panels',
                         `stdev_descrr` varchar(255) NOT NULL COMMENT 'Description plugged device, ex. workstation name for patch-panels',
                         KEY ind_stdev_id(stdev_id),
                         KEY ind_psost_id(psost_id),
                         KEY ind_stdev_out_id(stdev_out_id),
                         KEY ind_stdevr_out_id2(stdevr_out_id2),
                         KEY ind_cable_in_id(cable_in_id),
                         KEY ind_cable_out_id(cable_out_id),
                         KEY ind_port_out_id(port_out_id),
                         KEY ind_portr_out_id2(portr_out_id2),
                         KEY ind_pspd_id(pspd_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result54 = mysqli_query($dbcnx,$query54);
     if(!$result54) {puterror($TEXT['error-tbl65']);}

  $query55 = "CREATE TABLE tbl_store_port_speed(
                         pspd_id int unsigned NOT NULL auto_increment primary key,
                         port_speed varchar(255) NOT NULL,
                         position SMALLINT(5) NOT NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result55 = mysqli_query($dbcnx,$query55);
     if(!$result55) {puterror($TEXT['error-tbl66']);}

    $query79 = "CREATE TABLE tbl_supp_tema(
                         tema_id int unsigned not null auto_increment primary key,
                         tema varchar(255),
                         position smallint(11) NOT NULL DEFAULT '0',
                         shablon varchar(255),
                         visible enum('show','hide','it') DEFAULT 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result79 = mysqli_query($dbcnx,$query79);
     if(!$result79) {puterror($TEXT['error-tbl22']);}

    $query80 = "CREATE TABLE tbl_supp_sostoyanie(
                         sost_id int unsigned not null auto_increment primary key,
                         sostoyanie varchar(255),
                         pic_sost tinytext,
                         position smallint(11) NOT NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result80 = mysqli_query($dbcnx,$query80);
     if(!$result80) {puterror($TEXT['error-tbl23']);}

    $query81 = "CREATE TABLE tbl_supp_srochnost(
                         sroch_id int unsigned not null auto_increment primary key,
                         srochnost varchar(255),
                         pic_sr tinytext,
                         position smallint(11) NOT NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result81 = mysqli_query($dbcnx,$query81);
     if(!$result81) {puterror($TEXT['error-tbl24']);}

    $query82 = "CREATE TABLE tbl_supp_archive(
                         arch_id int unsigned not null auto_increment primary key,
                         data date NOT NULL DEFAULT '1970-01-01',
                         master varchar(255),
                         user varchar(255),
                         manager varchar(255),
                         tema varchar(255),
                         organizaciya text(300),
                         time_isp decimal(10,0) NOT NULL DEFAULT '0',
                         zay_id int NULL DEFAULT '0',
                         yea decimal(4,0) NOT NULL DEFAULT '0',
                         mon decimal(2,0) NOT NULL DEFAULT '0',
                         dy decimal(2,0) NOT NULL DEFAULT '0',
                         problema text NOT NULL,
                         pic_tr tinytext,
                         reshenie text NOT NULL,
                         mar_id int NULL DEFAULT '0',
                         step smallint NOT NULL DEFAULT '0',
                         parent int NULL DEFAULT '0',
                         KEY ind_master (master(10)),
                         KEY ind_user (user(10)),
                         KEY ind_manager (manager(10)),
                         KEY ind_tema (tema(20)),
                         KEY ind_organizaciya (organizaciya(10)),
                         KEY ind_mar (mar_id),
                         KEY ind_step (step),
                         KEY ind_parent (parent)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result82 = mysqli_query($dbcnx,$query82);
     if(!$result82) {puterror($TEXT['error-tbl25']);}

    $query83 = "CREATE TABLE tbl_supp_zayavka(
                         zay_id int unsigned not null auto_increment primary key,
                         data_post datetime NOT NULL DEFAULT '1970-01-01 00:00:00',
                         data_k_isp datetime NOT NULL DEFAULT '1970-01-01 00:00:00',
                         data_close datetime NOT NULL DEFAULT '1970-01-01 00:00:00',
                         man_id int NULL DEFAULT '0',
                         mast_id int NULL DEFAULT '0',
                         usr_id int NULL DEFAULT '0',
                         sost_id int NULL DEFAULT '0',
                         sroch_id int NULL DEFAULT '0',
                         tema_id int NULL DEFAULT '0',
                         problema text NOT NULL,
                         pic_tr tinytext,
                         reshenie text NOT NULL,
                         kod text,
                         time_isp decimal(10,0) NOT NULL DEFAULT '0',
                         org_id int NULL DEFAULT '0',
                         ob_type enum('0','1','2','3','4','5') NOT NULL DEFAULT '0',
                         otv enum('0','1') DEFAULT '0',
                         mar_id int NULL DEFAULT '0',
                         step smallint NULL DEFAULT '0',
                         max_step smallint NULL DEFAULT '0',
                         parent int NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result83 = mysqli_query($dbcnx,$query83);
     if(!$result83) {puterror($TEXT['error-tbl26']);}

    $query84 = "CREATE TABLE tbl_clear(
                         cl_id int(5) unsigned NOT NULL auto_increment primary key,
                         col_tbl_name varchar(255),
                         col_name varchar(255),
                         by_data int(20) NULL DEFAULT '0',
                         by_count int(20) NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result84 = mysqli_query($dbcnx,$query84);
     if(!$result84) {puterror($TEXT['error-tbl37']);}

    $query85 = "CREATE TABLE tbl_meet_room(
                         room_id int(5) unsigned NOT NULL auto_increment primary key,
                         room_name varchar(255),
                         room_descr text(1000),
                         room_photo varchar(255),
                         room_visible enum('yes','no') DEFAULT 'yes',
                         org_id int NULL DEFAULT '0',
                         position smallint NOT NULL DEFAULT '0',
                         KEY ind_org_id(org_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result85 = mysqli_query($dbcnx,$query85);
     if(!$result85) {puterror($TEXT['error-tbl48']);}

    $query86 = "CREATE TABLE tbl_meet_event(
                         evnt_id int unsigned NOT NULL auto_increment primary key,
                         meet_name varchar(255),
                         meet_descr text(1000),
                         meet_visible enum('yes','no') DEFAULT 'yes',
                         usr_id int NULL DEFAULT '0',
                         meet_data date NOT NULL DEFAULT '1970-01-01',
                         time_start int(2) NULL DEFAULT '0',
                         time_stop int(2) NULL DEFAULT '0',
                         meet_color varchar(50),
                         room_id int(5) NULL DEFAULT '0',
                         time_start_min int(2) NULL DEFAULT '0',
                         time_stop_min int(2) NULL DEFAULT '0',
                         KEY ind_room_id(room_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result86 = mysqli_query($dbcnx,$query86);
     if(!$result86) {puterror($TEXT['error-tbl49']);}

    $query87 = "CREATE TABLE tbl_meet_users(
                         meet_usr_id int(5) unsigned NOT NULL auto_increment primary key,
                         evnt_id int NULL DEFAULT '0',
                         usr_id int NULL DEFAULT '0',
                         KEY ind_evnt_id(evnt_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result87 = mysqli_query($dbcnx,$query87);
     if(!$result87) {puterror($TEXT['error-tbl50']);}

    $query88 = "CREATE TABLE tbl_pass_strukt(
                         pas_str_id int unsigned NOT NULL auto_increment primary key,
                         strukt_name varchar(255) NOT NULL,
                         parent int NULL DEFAULT '0',
                         position smallint NOT NULL DEFAULT '0',
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         pic_tr tinytext
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result88 = mysqli_query($dbcnx,$query88);
     if(!$result88) {puterror($TEXT['error-tbl51']);}

    $query89 = "CREATE TABLE tbl_pass_keep(
                         pas_id int unsigned NOT NULL auto_increment primary key,
                         pas_str_id int NULL DEFAULT '0',
                         fio varchar(255),
                         usr_id int NULL DEFAULT '0',
                         dom_lgn blob,
                         dom_pass blob,
                         mail_lgn blob,
                         mail_pass blob,
                         primechanie text(1000),
                         visible enum('show','hide') NOT NULL DEFAULT 'show',
                         data_create datetime NOT NULL DEFAULT '1970-01-01 00:00:00',
                         data_edt datetime NOT NULL DEFAULT '1970-01-01 00:00:00',
                         best_before date NOT NULL DEFAULT '1970-01-01',
                         login_id int NULL DEFAULT '0',
                         login_edt_id int NULL DEFAULT '0',
                         mast_edt enum('yes','no') NOT NULL DEFAULT 'no',
                         korzina int(1) NULL DEFAULT '0',
                         mail_form varchar(100),
                         mail_pass_form varchar(100),
                         pic_tr tinytext,
                         dom_form varchar(100),
                         dom_pass_form varchar(100),
                         KEY pas_str_id_ind (pas_str_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result89 = mysqli_query($dbcnx,$query89);
     if(!$result89) {puterror($TEXT['error-tbl52']);}

    $query90 = "CREATE TABLE tbl_p_tmp(
                         ptmp_id int unsigned NOT NULL auto_increment primary key,
                         usr_id int NULL DEFAULT '0',
                         p_tmp varchar(255),
                         stat int(1) NULL DEFAULT '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result90 = mysqli_query($dbcnx,$query90);
     if(!$result90) {puterror($TEXT['error-tbl53']);}

    $query111 = "CREATE TABLE aliases(
                          local_part varchar(64) NOT NULL,
                          domain varchar(200) NOT NULL,
                          recipients text(2000),
                          PRIMARY KEY (local_part,domain)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result111 = mysqli_query($dbcnx,$query111);
     if(!$result111) {puterror($TEXT['error-tbl32']);}

    $query112 = "CREATE TABLE blacklists(
                          address varchar(64) NOT NULL,
                          type enum('SENDER','HOSTREJ','REJRCPT') NOT NULL DEFAULT 'SENDER',
                          message varchar(255),
                          PRIMARY KEY (address,type)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result112 = mysqli_query($dbcnx,$query112);
     if(!$result112) {puterror($TEXT['error-tbl28']);}

    $query113 = "CREATE TABLE callbackdomains(
                          domain varchar(200) NOT NULL,
                          type enum('NOENV','NOHDR','NORND','NODNS') NOT NULL DEFAULT 'NOENV',
                          PRIMARY KEY (domain,type)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result113 = mysqli_query($dbcnx,$query113);
     if(!$result113) {puterror($TEXT['error-tbl31']);}

    $query114 = "CREATE TABLE domains(
                          domain varchar(200) NOT NULL,
                          type enum('LOCAL','RELAY','VIRTUAL') DEFAULT 'LOCAL',
                          PRIMARY KEY (domain,type)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result114 = mysqli_query($dbcnx,$query114);
     if(!$result114) {puterror($TEXT['error-tbl27']);}

    $query115 = "CREATE TABLE hostlists(
                          hostname varchar(64) NOT NULL,
                          type enum('AVOIDTLS','TRYAUTH','NOCALL') NOT NULL DEFAULT 'AVOIDTLS',
                          PRIMARY KEY (hostname,type)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result115 = mysqli_query($dbcnx,$query115);
     if(!$result115) {puterror($TEXT['error-tbl30']);}

    $query116 = "CREATE TABLE userforward(
                          local_part varchar(64) NOT NULL,
                          domain varchar(200) NOT NULL,
                          recipients text(2000),
                          PRIMARY KEY (local_part,domain)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result116 = mysqli_query($dbcnx,$query116);
     if(!$result116) {puterror($TEXT['error-tbl33']);}

    $query117 = "CREATE TABLE users(
                          id varchar(200) NOT NULL,
                          name varchar(255),
                          user_id int NOT NULL DEFAULT '0',
                          crypt varchar(255),
                          passwd varchar(255),
                          uid int(10) NOT NULL DEFAULT '0',
                          gid int(10) NOT NULL DEFAULT '0',
                          mbox_host varchar(128) NOT NULL,
                          shell varchar(32) NOT NULL,
                          home varchar(128) NOT NULL,
                          quota int(7) NULL DEFAULT '0',
                          active enum('Y','N') NOT NULL DEFAULT 'Y',
                          PRIMARY KEY (id,mbox_host)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result117 = mysqli_query($dbcnx,$query117);
     if(!$result117) {puterror($TEXT['error-tbl34']);}

    $query118 = "CREATE TABLE whitelist(
                          address varchar(64) NOT NULL,
                          PRIMARY KEY (address)
                          )ENGINE=MyISAM
                          CHARACTER SET utf8;";
    $result118 = mysqli_query($dbcnx,$query118);
     if(!$result118) {puterror($TEXT['error-tbl29']);}

    $query119 = "CREATE TABLE tbl_sizes(
                         size_id int(2) unsigned NOT NULL auto_increment primary key,
                         size_name varchar(100)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result119 = mysqli_query($dbcnx,$query119);
     if(!$result119) {puterror($TEXT['error-tbl35']);}

//Дамп таблиц
$query_dump = mysqli_query($dbcnx,"INSERT INTO `tbl_organizaciya` VALUES (1, '-', 1, 'hide');");
$query_dump1 = mysqli_query($dbcnx,"INSERT INTO `tbl_otdel` VALUES (1, '-', 1, 'hide', '');");
$query_dump2 = mysqli_query($dbcnx,"INSERT INTO `tbl_sizes` VALUES (1, 'Байт'),(2, 'Килобайт'),(3, 'Мегабайт'),(4, 'Гигабайт'),(5, 'Терабайт');");
$query_dump3 = mysqli_query($dbcnx,"INSERT INTO `tbl_upravlenie` VALUES (1, '-', 1, 'hide');");
$query_dump4 = mysqli_query($dbcnx,"INSERT INTO `tbl_house` VALUES (1, '-');");
$query_dump5 = mysqli_query($dbcnx,"INSERT INTO `tbl_supp_sostoyanie` VALUES (1, 'Новое','../photo/sost_Novoe.png','1'),(2, 'Рассматривается','../photo/sost_Rassmatrivaetsya.png','2'),(3, 'В работе','../photo/sost_V_rabote.png','3'),(4, 'На доработку','../photo/sost_Na_dorabotku.png','4'),(5, 'Перенаправить','../photo/sost_Perenapravit.png','5'),(6, 'Напоминания','../photo/sost_Napominaniya.png','6'),(7, 'Завершено','../photo/sost_Zaversheno.png','7');");
$query_dump6 = mysqli_query($dbcnx,"INSERT INTO `tbl_supp_srochnost` VALUES (1, 'Низкая','../photo/vazh_Nizkaya.png','1'),(2, 'Средняя','../photo/vazh_Srednyaya.png','2'),(3, 'Высокая','../photo/vazh_Vysokaya.png','3'),(4, 'Срочно','../photo/vazh_Srochno.png','4');");
$query_dump7 = mysqli_query($dbcnx,"INSERT INTO `tbl_kritichnost` VALUES (1,'Для информации','../photo/krit_Dlya_informatsii_20100618114949.png',1),(2,'Не критично','../photo/krit_Ne_kritichno_20100618123543.png',2),(3,'Средне','../photo/krit_Sredne_20100618124557.png',3),(4,'Критично','../photo/krit_Kritichno_20100618123452.png',4);");
$query_dump8 = mysqli_query($dbcnx,"INSERT INTO `tbl_logins` VALUES ('1','admin','administrator','21232f297a57a5a743894a0e4a801fc3','0','1','0','0','0','0','0','no'),('2','robot','Robot','d5d105353066809420558caa5f2e0a04','0','0','0','0','1','0','0','no');");
$query_dump9 = mysqli_query($dbcnx,"INSERT INTO `tbl_tip_resurs` VALUES (1, 'HTTP','../photo/tip_inet.png',1,'http'),(2, 'HTTPS','../photo/tip_inets.png',2,'https'),(3, 'FTP','../photo/tip_ftp.png',3,'ftp'),(4, 'SMB','../photo/tip_smb.png',4,'smb'),(5, 'NFS','../photo/tip_nfs.png',5,'nfs'),(6, 'Ящик рассылки','../photo/tip_mailbox.png',6,'mailto'),(7, 'Сетевая папка','../photo/tip_net.png',7,'');");
$query_dump10 = mysqli_query($dbcnx,"INSERT INTO `tbl_srv_param` VALUES (NULL,'0','ou=people,dc=mycompany,dc=local','cn=admin,dc=mycompany,dc=local','123456','10.10.10.10','389','/sbin/nologin','8','12','/home/vmail/domains','512','15','root@localhost','root@localhost','root@localhost','12','1024','768','500','230','550','310','700','530','0','0','','no');");

$query_pwd = mysqli_query($dbcnx,"CREATE USER 'personal_user'@'%' IDENTIFIED BY 'personal_user';");
$query_pwd1 = mysqli_query($dbcnx,"CREATE USER 'personal_user'@'localhost' IDENTIFIED BY 'personal_user';");
$query_pwd2 = mysqli_query($dbcnx,"CREATE USER 'personal_admin'@'%' IDENTIFIED BY 'Pgt7d34smb9';");
$query_pwd3 = mysqli_query($dbcnx,"CREATE USER 'personal_admin'@'localhost' IDENTIFIED BY 'Pgt7d34smb9';");
$query_pwd4 = mysqli_query($dbcnx,"CREATE USER 'personal_exim'@'%' IDENTIFIED BY 'dFrt34@sOMiqzFF25';");
$query_pwd5 = mysqli_query($dbcnx,"CREATE USER 'personal_exim'@'localhost' IDENTIFIED BY 'dFrt34@sOMiqzFF25';");

$query_rights = mysqli_query($dbcnx,"GRANT SELECT ON personal.* TO personal_user@'%';");
$query_rights1 = mysqli_query($dbcnx,"GRANT SELECT ON personal.* TO personal_user@localhost;");
$query_rights2 = mysqli_query($dbcnx,"GRANT SELECT,INSERT ON personal.tbl_supp_archive TO personal_user@'%';");
$query_rights3 = mysqli_query($dbcnx,"GRANT SELECT,INSERT ON personal.tbl_supp_archive TO personal_user@localhost;");
$query_rights4 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_supp_zayavka TO personal_user@'%';");
$query_rights5 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_supp_zayavka TO personal_user@localhost;");
$query_rights6 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_ob_zay TO personal_user@'%';");
$query_rights7 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_ob_zay TO personal_user@localhost;");
$query_rights8 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_tmp_ofc TO personal_user@'%';");
$query_rights9 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_tmp_ofc TO personal_user@localhost;");
$query_rights10 = mysqli_query($dbcnx,"GRANT SELECT,INSERT ON personal.tbl_logs TO personal_user@'%';");
$query_rights11 = mysqli_query($dbcnx,"GRANT SELECT,INSERT ON personal.tbl_logs TO personal_user@localhost;");
$query_rights12 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE,DROP,LOCK TABLES ON personal.* TO personal_admin@'%';");
$query_rights13 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE,DROP,LOCK TABLES ON personal.* TO personal_admin@localhost;");
$query_rights14 = mysqli_query($dbcnx,"GRANT SELECT ON personal.aliases TO personal_exim@'%';");
$query_rights15 = mysqli_query($dbcnx,"GRANT SELECT ON personal.blacklists TO personal_exim@'%';");
$query_rights16 = mysqli_query($dbcnx,"GRANT SELECT ON personal.callbackdomains TO personal_exim@'%';");
$query_rights17 = mysqli_query($dbcnx,"GRANT SELECT ON personal.domains TO personal_exim@'%';");
$query_rights18 = mysqli_query($dbcnx,"GRANT SELECT ON personal.hostlists TO personal_exim@'%';");
$query_rights19 = mysqli_query($dbcnx,"GRANT SELECT ON personal.userforward TO personal_exim@'%';");
$query_rights20 = mysqli_query($dbcnx,"GRANT SELECT ON personal.users TO personal_exim@'%';");
$query_rights21 = mysqli_query($dbcnx,"GRANT SELECT ON personal.whitelist TO personal_exim@'%';");
$query_rights22 = mysqli_query($dbcnx,"GRANT SELECT ON personal.aliases TO personal_exim@localhost;");
$query_rights23 = mysqli_query($dbcnx,"GRANT SELECT ON personal.blacklists TO personal_exim@localhost;");
$query_rights24 = mysqli_query($dbcnx,"GRANT SELECT ON personal.callbackdomains TO personal_exim@localhost;");
$query_rights25 = mysqli_query($dbcnx,"GRANT SELECT ON personal.domains TO personal_exim@localhost;");
$query_rights26 = mysqli_query($dbcnx,"GRANT SELECT ON personal.hostlists TO personal_exim@localhost;");
$query_rights27 = mysqli_query($dbcnx,"GRANT SELECT ON personal.userforward TO personal_exim@localhost;");
$query_rights28 = mysqli_query($dbcnx,"GRANT SELECT ON personal.users TO personal_exim@localhost;");
$query_rights29 = mysqli_query($dbcnx,"GRANT SELECT ON personal.whitelist TO personal_exim@localhost;");
$query_rights30 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_zhurnal TO personal_user@'%';");
$query_rights31 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_zhurnal TO personal_user@localhost;");
$query_rights32 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_instructions TO personal_user@'%';");
$query_rights33 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_instructions TO personal_user@localhost;");
$query_rights34 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_documents TO personal_user@'%';");
$query_rights35 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_documents TO personal_user@localhost;");
$query_rights36 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_bd_zhnaniy TO personal_user@'%';");
$query_rights37 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_bd_zhnaniy TO personal_user@localhost;");
$query_rights38 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_know_prim TO personal_user@'%';");
$query_rights39 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_know_prim TO personal_user@localhost;");
$query_rights40 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_event TO personal_user@'%';");
$query_rights41 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_event TO personal_user@localhost;");
$query_rights42 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_users TO personal_user@'%';");
$query_rights43 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_users TO personal_user@localhost;");
$query_rights44 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_strukt TO personal_user@'%';");
$query_rights45 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_strukt TO personal_user@localhost;");
$query_rights46 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_keep TO personal_user@'%';");
$query_rights47 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_keep TO personal_user@localhost;");
$query_rights48 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_p_tmp TO personal_user@'%';");
$query_rights49 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_p_tmp TO personal_user@localhost;");
$query_rights50 = mysqli_query($dbcnx,"GRANT SELECT ON personal.tbl_meet_room TO personal_user@'%';");
$query_rights51 = mysqli_query($dbcnx,"GRANT SELECT ON personal.tbl_meet_room TO personal_user@localhost;");
$query_rights52 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_users TO personal_user@'%';");
$query_rights53 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_users TO personal_user@localhost;");
$query_rights54 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_nacl TO personal_user@'%';");
$query_rights55 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_nacl TO personal_user@localhost;");
$query_rights56 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev TO personal_user@'%';");
$query_rights57 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev TO personal_user@localhost;");
$query_rights58 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_history TO personal_user@'%';");
$query_rights59 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_history TO personal_user@localhost;");
$query_rights60 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_use TO personal_user@'%';");
$query_rights61 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_use TO personal_user@localhost;");
$query_rights62 = mysqli_query($dbcnx,"GRANT UPDATE ON personal.tbl_store_mod_dev TO personal_user@'%';");
$query_rights63 = mysqli_query($dbcnx,"GRANT UPDATE ON personal.tbl_store_mod_dev TO personal_user@localhost;");
$query_rights64 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_store_dev_history TO personal_user@'%';");
$query_rights65 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_store_dev_history TO personal_user@localhost;");
$query_rights66 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_ports TO personal_user@'%';");
$query_rights67 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_ports TO personal_user@localhost;");
$query_rights68 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_vlan_to_port TO personal_user@'%';");
$query_rights69 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_vlan_to_port TO personal_user@localhost;");

$query_shedule_enbl = mysqli_query($dbcnx,"SET GLOBAL event_scheduler = ON;");

$query_st_procedure1 = mysqli_query($dbcnx,"DELIMITER $$ 
                                    CREATE PROCEDURE `cln_stored_pass` () 
                                    COMMENT 'Чистим таблицу с временными паролями'
                                    LANGUAGE SQL
                                    SQL SECURITY DEFINER
                                    BEGIN
                                     DELETE FROM tbl_p_tmp WHERE p_tmp != '';
                                    END$$
                                    DELIMITER ;");

$query_st_procedure2 = mysqli_query($dbcnx,"DELIMITER $$
                                    CREATE PROCEDURE `cln_old_pass` ()
                                    COMMENT 'Чистим устаревшие записи хранителя паролей'
                                    LANGUAGE SQL
                                    SQL SECURITY DEFINER
                                    BEGIN
                                     UPDATE tbl_pass_keep SET korzina = 1, data_edt = NOW(), login_edt_id = (SELECT login_id FROM tbl_logins WHERE fullname = 'Robot' LIMIT 1) WHERE best_before < NOW() AND best_before != '0000-00-00' AND best_before != '1970-01-01' AND korzina = 0;
                                     DELETE FROM tbl_pass_keep WHERE korzina = 1 AND data_edt < DATE_ADD(NOW(), INTERVAL -30 DAY);
                                    END$$
                                    DELIMITER ;");

$query_shedule1 = mysqli_query($dbcnx,"CREATE EVENT `sched_cln_old_pass`
                               ON SCHEDULE
                               EVERY 1 DAY STARTS '2012-09-12 23:11:00'
                               ON COMPLETION PRESERVE
                               COMMENT 'Чистим устаревшие записи хранителя паролей'
                                DO 
                                CALL cln_old_pass();");

$query_shedule2 = mysqli_query($dbcnx,"CREATE EVENT `sched_cln_stored_pass`
                               ON SCHEDULE
                               EVERY 1 DAY STARTS '2012-09-12 23:11:00'
                               ON COMPLETION PRESERVE
                               COMMENT 'Чистим таблицу с временными паролями'
                                DO 
                                CALL cln_stored_pass();");

$query_rights70 = mysqli_query($dbcnx,"FLUSH PRIVILEGES;");
  //if(!$result120) {puterror($TEXT['error-install17']);}

  echo "<html><head>
        <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
        </head></html>";

  function puterror($message)
  {
    echo("<table class='tblwdth100' border='0'><tr><td><h2><p>".$message."<br /></p></h2></td></tr></table>");
    exit();
  }
  require_once "utils/bottom.php";
?>